using System.ComponentModel;

namespace Hncore.Pass.Sells.Model
{
    public enum RedeemCodeActivityStatus
    {
        [DisplayName("已失效")]
        Disabled = 0,
        [DisplayName("未开始")]
        NoStart = 1,
        [DisplayName("进行中")]
        Doing = 2,
        [DisplayName("已结束")]
        Over = 3,
    }

    public enum RedeemCodeStatus
    {
        [DisplayName("已失效")]
        Disabled = 0,
        [DisplayName("未使用")]
        NoUsed = 1,
        [DisplayName("已经使用")]
        Used = 2,       
    }

    public enum ECouponType
    {
        [DisplayName("满减券")]
        Minus = 1,
        [DisplayName("折扣券")]
        Discount =2,
    }

    public enum ECouponUseRange
    {
        [DisplayName("所有商品")]
        All = 1,
        [DisplayName("制定商品")]
        Limit = 2,
    }

    public enum ECouponDateRule
    {
        [DisplayName("起止时间")]
        BenginEnd = 1,
        [DisplayName("领取当天起")]
        BeginCurrent = 2,
        [DisplayName("领取次日起")]
        BeginMorrow = 3,
    }
}
